curl --request GET \
--url https://{host}/lucca-api/employee-attributes \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "employee-attributes",
"url": "https://example.ilucca.net/lucca-api/employee-attributes?limit=10",
"totalCount": 3489,
"items": [
{
"id": "34879",
"type": "employee-attribute",
"url": "https://example.ilucca.net/lucca-api/employee-attribute/34879",
"definition": {
"id": "givenName",
"type": "employee-attribute-definition",
"url": "https://example.ilucca.net/lucca-api/employee-attribute-definitions/givenName"
},
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"applicability": null,
"value": "John",
"createdAt": "2014-04-12T09:43:52.432Z",
"lastUpdatedAt": "2014-04-12T09:43:52.432Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/employee-attributes?limit=10&page=!4sKv"
}
},
"embedded": {
"employee-attribute-definition": {
"givenName": {
"id": "employee.givenName",
"type": "employee-attribute-definition",
"url": "https://lucca.ilucca.net/lucca-api/employee-attribute-definitions/employee.givenName",
"name": "First Name",
"multipleValueHandling": null,
"taxonomy": null,
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"title": "employee.given-name",
"maxLength": 255,
"minLength": 1,
"type": "string",
"description": "Name given at birth. In the U.S.A., the first name of a person. In French: \"prénom\". Leading and trailing spaces are automatically removed."
},
"propertyDescriptions": {},
"t9n": {
"name": {
"fr-FR": "Prénom"
}
},
"createdAt": "2000-01-01T00:00:00+00:00",
"lastUpdatedAt": "2000-01-01T00:00:00+00:00",
"isArchived": false,
"lastArchivedAt": null
}
},
"taxonomy-label": {}
}
}Returns a paginated list of employee-attributes.
curl --request GET \
--url https://{host}/lucca-api/employee-attributes \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "employee-attributes",
"url": "https://example.ilucca.net/lucca-api/employee-attributes?limit=10",
"totalCount": 3489,
"items": [
{
"id": "34879",
"type": "employee-attribute",
"url": "https://example.ilucca.net/lucca-api/employee-attribute/34879",
"definition": {
"id": "givenName",
"type": "employee-attribute-definition",
"url": "https://example.ilucca.net/lucca-api/employee-attribute-definitions/givenName"
},
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"applicability": null,
"value": "John",
"createdAt": "2014-04-12T09:43:52.432Z",
"lastUpdatedAt": "2014-04-12T09:43:52.432Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/employee-attributes?limit=10&page=!4sKv"
}
},
"embedded": {
"employee-attribute-definition": {
"givenName": {
"id": "employee.givenName",
"type": "employee-attribute-definition",
"url": "https://lucca.ilucca.net/lucca-api/employee-attribute-definitions/employee.givenName",
"name": "First Name",
"multipleValueHandling": null,
"taxonomy": null,
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"title": "employee.given-name",
"maxLength": 255,
"minLength": 1,
"type": "string",
"description": "Name given at birth. In the U.S.A., the first name of a person. In French: \"prénom\". Leading and trailing spaces are automatically removed."
},
"propertyDescriptions": {},
"t9n": {
"name": {
"fr-FR": "Prénom"
}
},
"createdAt": "2000-01-01T00:00:00+00:00",
"lastUpdatedAt": "2000-01-01T00:00:00+00:00",
"isArchived": false,
"lastArchivedAt": null
}
},
"taxonomy-label": {}
}
}Access
employee-attributes.readonly
employee-attributes.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Filter out employee-attributes on their IDs.
1001["123", "456"]
Filter out employee-attributes on the id of their associated definition.
1001[
"jobPosition.manager",
"e_certifications",
"employee.familyName"
]
Filter out employee-attributes on the id of the employee they belong to.
1001["123", "456"]
Only return employee-attributes whose applicability period includes the given date.
An attribute is considered applicable when its applicability.start is on or before the date
and its applicability.end is on or after the date. Null bounds are treated as open-ended.
Filter out employee-attributes on their value.
When the value is a JSON object, then supports sub-property filtering using dot notation (e.g. value.foo=bar).
Filter out employee-attributes on their value, by exclusion ("not").
When the value is a JSON object, then supports sub-property filtering using dot notation (e.g. -value.foo=bar meaning
"where value.foo is not equal to bar").
Order results by instruction. Read more about sorting. Default: id.
id, -id, createdAt, -createdAt, value, -value, definition.id, -definition.id Filter out employee-attributes on their lastUpdatedAt timestamp (range).
ISO 8601 formatted date-range string.
Examples:
2024-01-01--2024-12-31: from Jan. 1st 2024 until Dec. 31st 2024 (included)...--2024-12-31: until Dec. 31st 2024.2024-01-01--..: from Jan. 1st 2024."2024-01-01--2024-12-31"
"..--2024-12-31"
"2024-01-01--.."
Cursor of the page to retrieve. Read more about pagination.
Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.
0 <= x <= 100Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
A collection of employee-attribute resources.
"employee-attributes"Total number of items across all pages that satisfy query parameters.
x >= 0Items of this paginated list. May be partial and/or stale representations.
100Show child attributes
Links to related resources
Show child attributes
Embeds the representation of resources related to the employee-attribute(s).
Only returned if requested by the API client: ?include=embedded.
Show child attributes
Was this page helpful?